/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author
 * @generated
 */
public class PluginPortletPreferencesSoap implements Serializable {
	public static PluginPortletPreferencesSoap toSoapModel(
		PluginPortletPreferences model) {
		PluginPortletPreferencesSoap soapModel = new PluginPortletPreferencesSoap();

		soapModel.setPluginPortletPreferencesId(model.getPluginPortletPreferencesId());
		soapModel.setOwnerId(model.getOwnerId());
		soapModel.setOwnerType(model.getOwnerType());
		soapModel.setPlid(model.getPlid());
		soapModel.setPortletId(model.getPortletId());
		soapModel.setPlugin(model.getPlugin());
		soapModel.setPreferences(model.getPreferences());

		return soapModel;
	}

	public static PluginPortletPreferencesSoap[] toSoapModels(
		PluginPortletPreferences[] models) {
		PluginPortletPreferencesSoap[] soapModels = new PluginPortletPreferencesSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static PluginPortletPreferencesSoap[][] toSoapModels(
		PluginPortletPreferences[][] models) {
		PluginPortletPreferencesSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new PluginPortletPreferencesSoap[models.length][models[0].length];
		}
		else {
			soapModels = new PluginPortletPreferencesSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static PluginPortletPreferencesSoap[] toSoapModels(
		List<PluginPortletPreferences> models) {
		List<PluginPortletPreferencesSoap> soapModels = new ArrayList<PluginPortletPreferencesSoap>(models.size());

		for (PluginPortletPreferences model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new PluginPortletPreferencesSoap[soapModels.size()]);
	}

	public PluginPortletPreferencesSoap() {
	}

	public long getPrimaryKey() {
		return _pluginPortletPreferencesId;
	}

	public void setPrimaryKey(long pk) {
		setPluginPortletPreferencesId(pk);
	}

	public long getPluginPortletPreferencesId() {
		return _pluginPortletPreferencesId;
	}

	public void setPluginPortletPreferencesId(long pluginPortletPreferencesId) {
		_pluginPortletPreferencesId = pluginPortletPreferencesId;
	}

	public long getOwnerId() {
		return _ownerId;
	}

	public void setOwnerId(long ownerId) {
		_ownerId = ownerId;
	}

	public int getOwnerType() {
		return _ownerType;
	}

	public void setOwnerType(int ownerType) {
		_ownerType = ownerType;
	}

	public long getPlid() {
		return _plid;
	}

	public void setPlid(long plid) {
		_plid = plid;
	}

	public String getPortletId() {
		return _portletId;
	}

	public void setPortletId(String portletId) {
		_portletId = portletId;
	}

	public String getPlugin() {
		return _plugin;
	}

	public void setPlugin(String plugin) {
		_plugin = plugin;
	}

	public String getPreferences() {
		return _preferences;
	}

	public void setPreferences(String preferences) {
		_preferences = preferences;
	}

	private long _pluginPortletPreferencesId;
	private long _ownerId;
	private int _ownerType;
	private long _plid;
	private String _portletId;
	private String _plugin;
	private String _preferences;
}